package com.qmth.distributed.print.business.bean.dto.professional;

import com.qmth.distributed.print.business.entity.TPProfessional;

import java.util.List;

public class MatrixDto extends TPProfessional {

    private String courseCode;
    private String courseName;
    // 是否可编辑
    private Boolean canEdit;
    private List<MatrixRequirementDto> requirements;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public List<MatrixRequirementDto> getRequirements() {
        return requirements;
    }

    public void setRequirements(List<MatrixRequirementDto> requirements) {
        this.requirements = requirements;
    }

    public Boolean getCanEdit() {
        return canEdit;
    }

    public void setCanEdit(Boolean canEdit) {
        this.canEdit = canEdit;
    }
}
